Web4Web.IT - Community Forums
Aggiornamento PHP - Versione stampabile

+- Web4Web.IT - Community Forums (https://www.web4web.it/forum)
+-- Forum: Supporto Tecnico (/forum-21.html)
+--- Forum: Programmazione & Design (/forum-23.html)
+---- Forum: PHP (/forum-24.html)
+---- Discussione: Aggiornamento PHP (/thread-713.html)

1 2


Aggiornamento PHP - johndoe - 15-03-2015 16:35

Salve,
è previsto l'aggiornamento di PHP a versioni più recenti e quindi ancora ufficialmente mantenute (tipo 5.5 e 5.6)?

Grazie


RE: Aggiornamento PHP - Gandalf - 15-03-2015 17:07

Al momento è programmato l'aggiornamento solo a PHP 5.4
Buona parte dei siti dei nostri clienti faticano a funzionare con un semplice PHP 5.4, upgradare a 5.5 sarebbe tragico e dobbiamo rimandarlo ancora un po, probabilmente a fine anno o inizio del prossimo.


RE: Aggiornamento PHP - johndoe - 16-03-2015 11:55

(15-03-2015 17:07)Gandalf Ha scritto:  : https://www.web4web.it/forum/post-4520.html#pid4520Al momento è programmato l'aggiornamento solo a PHP 5.4
Buona parte dei siti dei nostri clienti faticano a funzionare con un semplice PHP 5.4, upgradare a 5.5 sarebbe tragico e dobbiamo rimandarlo ancora un po, probabilmente a fine anno o inizio del prossimo.
Grazie,
per l'aggiornamento al 5.4 avete già stabilito delle date?


RE: Aggiornamento PHP - Gandalf - 16-03-2015 12:01

Nessuna data precisa ma stiamo procedendo cercando di ridurre al minimo i disagi per i clienti.


RE: Aggiornamento PHP - johndoe - 03-09-2015 10:49

(16-03-2015 12:01)Gandalf Ha scritto:  : https://www.web4web.it/forum/post-4522.html#pid4522Nessuna data precisa ma stiamo procedendo cercando di ridurre al minimo i disagi per i clienti.
Salve, c'è qualche novità dal fronte aggiornamento PHP?

Grazie


RE: Aggiornamento PHP - Gandalf - 03-09-2015 10:59

No, finchè l'80% dei clienti fa uso di software a malapena compatibile con PHP 5.3


RE: Aggiornamento PHP - johndoe - 03-09-2015 14:44

(03-09-2015 10:59)Gandalf Ha scritto:  : https://www.web4web.it/forum/post-4600.html#pid4600No, finchè l'80% dei clienti fa uso di software a malapena compatibile con PHP 5.3
Beh, ma non penso che tra un anno questa percentuale sarà tanto diversa...
In compenso questa situazione crea disagi a chi è costretto ad utilizzare ancora una versione datata e non più supportata. Sì, lo so che il mio piano Micro è una goccia nel mare e nelle specifiche c'è scritto PHP 5.3, ma prima o poi bisognerà evolvere... siamo alla RC1 di PHP 7!
Non è pensabile implementare il supporto a più versioni di PHP?


RE: Aggiornamento PHP - webby1973 - 13-09-2015 19:18

(03-09-2015 10:59)Gandalf Ha scritto:  : https://www.web4web.it/forum/post-4600.html#pid4600No, finchè l'80% dei clienti fa uso di software a malapena compatibile con PHP 5.3

Ciao,

mi accodo alla richiesta, perché usando WooCommerce ormai leggo che "Installed 5.3.21 - We recommend a minimum PHP version of 5.4".

Domanda: la versione di PHP è uguale su tutti i server condivisi?

grazie!


RE: Aggiornamento PHP - johndoe - 07-10-2015 16:55

(13-09-2015 19:18)webby1973 Ha scritto:  : https://www.web4web.it/forum/post-4602.html#pid4602Domanda: la versione di PHP è uguale su tutti i server condivisi?
No mi sembra che sia un po' a macchia di leopardo!
Dal Maintenance Log (http://noc.web4web.it/maintenance/view_all_bug_page.php) si vede che nell'ultima settimana:
- x10 da PHP 5.4 -> PHP 5.5
- x9 da PHP 5.4 -> PHP 5.5
- x8 da PHP 5.3 -> PHP 5.5
Io sto su x2 e siamo fermi a PHP 5.3.25, però sembra che qualcosa si stia muovendo...


RE: Aggiornamento PHP - Gandalf - 09-11-2015 17:25

Confermo che stiamo aggiornando tutti i server.
Ci vorrà del tempo però, per limitare i malfunzionamenti ai siti dei clienti